summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2011-04-04 16:13:10 (GMT)
committerChristian Pointner <equinox@helsinki.at>2011-04-04 16:13:10 (GMT)
commit20d8bb7742942cd54d6ff143d0c65e957655d398 (patch)
tree9460603159154e168ce5c6cf6d7c52190fdeb9be
parent45519cb170245b0e9c1d358d23aad7cff1c7be01 (diff)
added configure and Makefile
-rw-r--r--rhnop-client/Makefile73
-rwxr-xr-xrhnop-client/configure106
-rwxr-xr-xrhnop-client/nopcollectd2
3 files changed, 181 insertions, 0 deletions
diff --git a/rhnop-client/Makefile b/rhnop-client/Makefile
new file mode 100644
index 0000000..f85b59d
--- /dev/null
+++ b/rhnop-client/Makefile
@@ -0,0 +1,73 @@
+##
+## rhnop
+##
+## Copyright (C) 2011 Christian Pointner <equinox@helsinki.at>
+##
+## This file is part of rhnop.
+##
+## rhnop is free software: you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation, either version 3 of the License, or
+## any later version.
+##
+## rhnop is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with rhnop. If not, see <http://www.gnu.org/licenses/>.
+##
+
+ifneq ($(MAKECMDGOALS),distclean)
+include include.mk
+endif
+
+EXECUTABLE := nopcollectd
+
+.PHONY: clean distclean install install-bin install-etc uninstall remove purge
+
+all: $(EXECUTABLE)
+
+distclean: clean
+ find . -name *.o -exec rm -f {} \;
+ find . -name "*.\~*" -exec rm -rf {} \;
+ rm -f include.mk
+
+clean:
+
+INSTALL_TARGETS := install-bin install-lib install-etc
+REMOVE_TARGETS := remove-bin remove-lib remove-etc
+
+install: all $(INSTALL_TARGETS)
+
+install-bin: $(EXECUTABLE)
+ $(INSTALL) -d $(DESTDIR)$(BINDIR)
+ $(INSTALL) -m 755 $(EXECUTABLE) $(DESTDIR)$(BINDIR)
+ $(SED) -e 's#^conffile = "nopcollectd#conffile = "$(ETCDIR)/rhnop/nopcollectd#' -i $(DESTDIR)$(BINDIR)/$(EXECUTABLE)
+ $(SED) -e 's#_rhnoplibdir_/?.lua#$(LIBDIR)/?.lua#' -i $(DESTDIR)$(BINDIR)/$(EXECUTABLE)
+
+install-lib:
+ $(INSTALL) -d $(DESTDIR)$(LIBDIR)
+ $(INSTALL) -m 644 conf.lua $(DESTDIR)$(LIBDIR)
+ $(INSTALL) -m 644 db.lua $(DESTDIR)$(LIBDIR)
+
+install-etc:
+ $(INSTALL) -d $(DESTDIR)$(ETCDIR)/rhnop
+ $(INSTALL) -m 640 nopcollectd.*.conf $(DESTDIR)$(ETCDIR)/rhnop
+
+uninstall: remove
+
+remove: $(REMOVE_TARGETS)
+
+remove-bin:
+ rm -f $(DESTDIR)$(BINDIR)/$(EXECUTABLE)
+
+remove-lib:
+ rm -f $(DESTDIR)$(LIBDIR)/conf.lua
+ rm -f $(DESTDIR)$(LIBDIR)/db.lua
+
+remove-etc:
+
+purge: remove
+ rm -rf $(DESTDIR)$(ETCDIR)/rhnop
diff --git a/rhnop-client/configure b/rhnop-client/configure
new file mode 100755
index 0000000..eb4d1b4
--- /dev/null
+++ b/rhnop-client/configure
@@ -0,0 +1,106 @@
+#!/bin/sh
+#
+# rhnop
+#
+# Copyright (C) 2011 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhnop.
+#
+# rhnop is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhnop is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with rhnop. If not, see <http://www.gnu.org/licenses/>.
+#
+
+EBUILD_COMPAT=0
+
+PREFIX='/usr/local'
+BINDIR=''
+ETCDIR=''
+LIBDIR=''
+
+print_usage() {
+ echo "configure --help print this"
+ echo " --prefix=<PREFIX> the installation prefix (default: /usr/local)"
+ echo " --bindir=<DIR> the path to the bin directory (default: $PREFIX/bin)"
+ echo " --sysconfdir=<DIR> the path to the system configuration directory (default: $PREFIX/etc)"
+ echo " --libdir=<DIR> the path to the lua library directory (default: $PREFIX/lib/rhnop-client)"
+}
+
+for arg
+do
+ case $arg in
+ --target=*)
+ TARGET=${arg#--target=}
+ ;;
+ --prefix=*)
+ PREFIX=${arg#--prefix=}
+ ;;
+ --bindir=*)
+ BINDIR=${arg#--bindir=}
+ ;;
+ --sysconfdir=*)
+ ETCDIR=${arg#--sysconfdir=}
+ ;;
+ --libdir=*)
+ LIBDIR=${arg#--libdir=}
+ ;;
+ --ebuild-compat)
+ EBUILD_COMPAT=1
+ ;;
+ --help)
+ print_usage
+ exit 0
+ ;;
+ *)
+ ERRORS="$ERRORS $arg"
+ ;;
+ esac
+done
+
+if [ -n "$ERRORS" ] && [ $EBUILD_COMPAT -ne 1 ]; then
+ for error in $ERRORS; do
+ echo "Unknown argument: $error"
+ done
+
+ print_usage
+ exit 1
+fi
+
+rm -f include.mk
+
+if [ -z "$BINDIR" ]; then
+ BINDIR=$PREFIX/bin
+fi
+
+if [ -z "$ETCDIR" ]; then
+ ETCDIR=$PREFIX/etc
+fi
+
+if [ -z "$LIBDIR" ]; then
+ LIBDIR=$PREFIX/lib/rhnop-client
+fi
+
+cat > include.mk <<EOF
+# this file was created automatically
+# do not edit this file directly
+# use ./configure instead
+
+INSTALL := install
+SED := sed
+
+PREFIX := '$PREFIX'
+BINDIR := '$BINDIR'
+ETCDIR := '$ETCDIR'
+LIBDIR := '$LIBDIR'
+EOF
+
+exit 0
diff --git a/rhnop-client/nopcollectd b/rhnop-client/nopcollectd
index ef3dcd4..c43ba8a 100755
--- a/rhnop-client/nopcollectd
+++ b/rhnop-client/nopcollectd
@@ -26,6 +26,8 @@
--
require "socket"
+
+package.path = package.path .. ";_rhnoplibdir_/?.lua"
db = require "db"
if #arg < 1 then